package meerkat.voting.gui.select_candidate_by_picture;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.stage.Stage;
import meerkat.voting.gui.TwoWayNode;
import java.io.IOException;
/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * SelectCandidateByPictureLoader creates the pannel which gives the option to choose by picture
 */
public class SelectCandidateByPictureLoader {

    private static final String SELECT_CANDIDATE_BY_PICTURE_FXML_PATH = "/view/select_candidate_by_picture.fxml";

    private Stage currentStage;
    private FXMLLoader fxmlLoader;

    public SelectCandidateByPictureLoader(Stage primaryStage) throws IOException
    {
        fxmlLoader = new FXMLLoader(getClass().getResource(SELECT_CANDIDATE_BY_PICTURE_FXML_PATH));
        currentStage = primaryStage;
    }

    /**
     * Creates welcome splash parent node and sets it to the controller
     * @return TwoWayNode
     * @throws IOException
     */
    public TwoWayNode GetSelectCandidateByPicture() throws IOException {
        Parent selectByPicture = fxmlLoader.load();
        meerkat.voting.gui.select_candidate_by_picture.SelectCandidateByPictureController controller = fxmlLoader.getController();

        // set the controller to be functional TwoWayNode
        controller.SetParent(selectByPicture);
        controller.SetStage(currentStage);

        return controller;
    }

}
